using Avalonia;
using Avalonia.Controls;

namespace InABox.Avalonia.Components.ModuleGrid;

public partial class AvaloniaModuleGrid : UserControl
{
    public static readonly StyledProperty<AvaloniaModuleCollection> ModulesProperty =
        AvaloniaProperty.Register<AvaloniaModuleGrid, AvaloniaModuleCollection>(nameof(Modules));

    public AvaloniaModuleGrid()
    {
        InitializeComponent();
    }

    public AvaloniaModuleCollection Modules
    {
        get => GetValue(ModulesProperty);
        set => SetValue(ModulesProperty, value);
    }
}